/***************************************************************************
    file	         : __FNAME__
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#include	"kb_classes.h"
#include	"kb_extra.h"
#include	"kb_macro.h"
#include	"kb_macrodef.h"

#define		__DEBUG_EXTRA	(0)
#if		__DEBUG_EXTRA
#include	"kb_dprintf.h"
#endif


class	QStringList	;


KBFACTORYIMPL
(	KBExtraFactory,
	plugin_extra
)


QObject	*KBExtraFactory::create
	(	QObject		  *,
		cchar		  *,
		cchar		  *,
		const QStringList &
	)
{
	DPRINTF		(("KBExtraFactory::create: CALLED\n")) ;

	MACRODECL	(OpenForm 	)
	MACRODECL	(CloseForm	)
	MACRODECL	(Navigate	)
	MACRODECL	(ReloadForm	)
	MACRODECL	(SetField	)
	MACRODECL	(GetField	)
	MACRODECL	(OpenQuery 	)
	MACRODECL	(CloseQuery	)
	MACRODECL	(OpenReport 	)
	MACRODECL	(CloseReport	)
	MACRODECL	(OpenTable 	)
	MACRODECL	(CloseTable	)
	MACRODECL	(MessageBox	)
	MACRODECL	(CancelBox	)
	MACRODECL	(PromptBox	)
	MACRODECL	(SQL		)

	return	0	;
}

QString	KBExtraFactory::ident ()
{
	return	QString("Extra: %1%2 %3")
			.arg(__KB_BUILD_RELEASE)
			.arg(__KB_BUILD_BUILD  )
			.arg(__KB_BUILD_TIME   )
			;
}
