/***************************************************************************
    file	         : kb_intelli.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/


#ifndef		__KB_INTELLI_H
#define		__KB_INTELLI_H

#include	<qtimer.h>

#include	"libkbase_exports.h"

#include	"kb_methdict.h"
#include	"rk_vbox.h"

class		KBTextEdit	;
class		RKListBox	;
class		QListBoxItem	;

/*  KBIntelli								*/
/*  ---------								*/
/*  This class is used to display help popups, in the manner of the	*/
/*  QWhatsThis helper popups.						*/

class	LIBKBASE_API	KBIntelli : public RKVBox
{
	Q_OBJECT

	KBTextEdit	*m_editor	;
	RKListBox	*m_listBox	;
	QTimer		m_timer		;

signals	:

	void		sigChosen	(KBMethDictEntry *)	;

protected slots :

	void		slotTimeout	()			;
	void		slotChosen	(QListBoxItem    *)	;

public	:

	KBIntelli	(KBTextEdit *, QPtrList<KBMethDictEntry> &) ;

	virtual	bool	eventFilter	(QObject *, QEvent *) ;
}	;


#endif	// __KB_INTELLI_H
