/* A Bison parser, made by GNU Bison 2.0.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 0

/* Substitute the variable and function names.  */
#define yyparse xbsql_yyparse
#define yylex   xbsql_yylex
#define yyerror xbsql_yyerror
#define yylval  xbsql_yylval
#define yychar  xbsql_yychar
#define yydebug xbsql_yydebug
#define yynerrs xbsql_yynerrs


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     T_COMMA = 258,
     T_SELECT = 259,
     T_INSERT = 260,
     T_UPDATE = 261,
     T_DELETE = 262,
     T_CREATE = 263,
     T_DROP = 264,
     T_FROM = 265,
     T_WHERE = 266,
     T_GROUP = 267,
     T_HAVING = 268,
     T_BY = 269,
     T_AND = 270,
     T_OR = 271,
     T_INTO = 272,
     T_VALUES = 273,
     T_SET = 274,
     T_AS = 275,
     T_TABLE = 276,
     T_PLACE = 277,
     T_STRING = 278,
     T_NAME = 279,
     T_NUMBER = 280,
     T_REAL = 281,
     T_PLUS = 282,
     T_MINUS = 283,
     T_MULTIPLY = 284,
     T_DIVIDE = 285,
     T_REM = 286,
     T_EQUALS = 287,
     T_NOTEQUAL = 288,
     T_LT = 289,
     T_LE = 290,
     T_GT = 291,
     T_GE = 292,
     T_CONCAT = 293,
     T_BRA = 294,
     T_KET = 295,
     T_PERIOD = 296,
     T_INTEGER = 297,
     T_FLOAT = 298,
     T_CHAR = 299,
     T_BLOB = 300,
     T_DATE = 301,
     T_UNIQUE = 302,
     T_INDEX = 303,
     T_ORDER = 304,
     T_ASCENDING = 305,
     T_DESCENDING = 306,
     T_NULL = 307,
     T_LIKE = 308,
     T_CASE = 309,
     T_WHEN = 310,
     T_THEN = 311,
     T_ELSE = 312,
     T_END = 313,
     T_MIN = 314,
     T_MAX = 315,
     T_SUM = 316,
     T_COUNT = 317,
     T_UPPER = 318,
     T_LOWER = 319,
     T_NULLIF = 320,
     T_TOCHAR = 321
   };
#endif
#define T_COMMA 258
#define T_SELECT 259
#define T_INSERT 260
#define T_UPDATE 261
#define T_DELETE 262
#define T_CREATE 263
#define T_DROP 264
#define T_FROM 265
#define T_WHERE 266
#define T_GROUP 267
#define T_HAVING 268
#define T_BY 269
#define T_AND 270
#define T_OR 271
#define T_INTO 272
#define T_VALUES 273
#define T_SET 274
#define T_AS 275
#define T_TABLE 276
#define T_PLACE 277
#define T_STRING 278
#define T_NAME 279
#define T_NUMBER 280
#define T_REAL 281
#define T_PLUS 282
#define T_MINUS 283
#define T_MULTIPLY 284
#define T_DIVIDE 285
#define T_REM 286
#define T_EQUALS 287
#define T_NOTEQUAL 288
#define T_LT 289
#define T_LE 290
#define T_GT 291
#define T_GE 292
#define T_CONCAT 293
#define T_BRA 294
#define T_KET 295
#define T_PERIOD 296
#define T_INTEGER 297
#define T_FLOAT 298
#define T_CHAR 299
#define T_BLOB 300
#define T_DATE 301
#define T_UNIQUE 302
#define T_INDEX 303
#define T_ORDER 304
#define T_ASCENDING 305
#define T_DESCENDING 306
#define T_NULL 307
#define T_LIKE 308
#define T_CASE 309
#define T_WHEN 310
#define T_THEN 311
#define T_ELSE 312
#define T_END 313
#define T_MIN 314
#define T_MAX 315
#define T_SUM 316
#define T_COUNT 317
#define T_UPPER 318
#define T_LOWER 319
#define T_NULLIF 320
#define T_TOCHAR 321




/* Copy the first part of user declarations.  */
#line 1 "support/xbsql/xbsql.y"

#include	<stdlib.h>
#include	<string.h>
#include	<ctype.h>

#ifdef 		_WIN32
#include 	<io.h>
#endif

#include	"xbsql.h"

extern	void		yyerror	(const char *, ...) ;
extern	int		yylex	()	;
static	void		estring	(int)	;
static	int		nextChar()	;
static	int		nextData(char *,  int, int) ;
static	char		*textp		;
static	const char	*qp		;
static	XBaseSQL	*xbXBaseSQL	;
static	int		placeNo		;
static	int		xbLookup(const char *) ;
static	int		xbWord	(const char *) ;

char	*xbTextb	;

char	*xbStoreText
	(	const char	*text
	)
{
	if (text != 0)
	{
		char	*res	= textp	;
		strcpy	(textp, text)	;
		textp	+= strlen (text) + 1 ;
		return	res	;
	}

	return	0 ;
}

typedef	struct
{
	int		t	;
	int		w	;
	int		p	;
	XBSQL::Index	i	;
}	ColType	;

#undef	getc
#define	getc(f)		nextChar()
#define	fread(b,n,l,f)	nextData(b,n,l)	
#define	orzel_read(f,b,l)	nextData(b,1,l)

XBSQLCommand	*xbQuery	;



/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 137 "support/xbsql/xbsql.y"
typedef union YYSTYPE {
	XBSQLSelect	*sqlsel	;
	XBSQLInsert	*sqlins	;
	XBSQLUpdate	*sqlupd	;
	XBSQLDelete	*sqldel	;
	XBSQLQuery	*query	;
	XBSQLExprList	*elist	;
	XBSQLExprNode	*enode	;
	XBSQLFieldList	*flist	;
	XBSQLAssignList	*alist	;
	XBSQLTableList	*table	;
	XBSQLColumnList	*columns;
	char		*_str	;
	int		_num	;
	double		_dbl	;
	XBSQL::Index	_idx	;
	ColType		coltype	;
	void		*dummy	;
} YYSTYPE;
/* Line 190 of yacc.c.  */
#line 293 "build/qt3/support/xbsql/xbsql.tab.cpp"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif



/* Copy the second part of user declarations.  */


/* Line 213 of yacc.c.  */
#line 305 "build/qt3/support/xbsql/xbsql.tab.cpp"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

# ifndef YYFREE
#  define YYFREE free
# endif
# ifndef YYMALLOC
#  define YYMALLOC malloc
# endif

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   else
#    define YYSTACK_ALLOC alloca
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short int yyss;
  YYSTYPE yyvs;
  };

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short int) + sizeof (YYSTYPE))			\
      + YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined (__GNUC__) && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short int yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  41
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   550

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  67
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  32
/* YYNRULES -- Number of rules. */
#define YYNRULES  104
/* YYNRULES -- Number of states. */
#define YYNSTATES  222

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   321

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned short int yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    24,
      35,    43,    51,    56,    61,    67,    74,    78,    81,    86,
      90,    94,    98,   101,   105,   108,   110,   113,   114,   120,
     124,   125,   128,   129,   131,   135,   139,   140,   143,   144,
     148,   149,   152,   157,   159,   161,   162,   164,   168,   170,
     173,   177,   182,   186,   192,   194,   198,   200,   204,   208,
     214,   216,   220,   224,   230,   232,   234,   236,   238,   240,
     242,   244,   248,   250,   252,   256,   260,   264,   268,   272,
     276,   280,   284,   288,   292,   296,   300,   304,   308,   312,
     316,   321,   326,   331,   336,   341,   346,   351,   356,   359,
     365,   373,   375,   379,   381
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      68,     0,    -1,    69,    -1,    70,    -1,    72,    -1,    71,
      -1,    73,    -1,    74,    -1,     4,    89,    10,    87,    79,
      81,    82,    83,    -1,     5,    17,    24,    39,    86,    40,
      18,    39,    90,    40,    -1,     5,    17,    24,    18,    39,
      90,    40,    -1,     5,    17,    24,    39,    86,    40,    69,
      -1,     5,    17,    24,    69,    -1,     7,    10,    24,    79,
      -1,     6,    24,    19,    88,    79,    -1,     8,    21,    24,
      39,    75,    40,    -1,     9,    21,    24,    -1,    24,    76,
      -1,    24,    76,     3,    75,    -1,    42,    78,    77,    -1,
      43,    78,    77,    -1,    44,    78,    77,    -1,    45,    78,
      -1,    46,    78,    77,    -1,    46,    78,    -1,    48,    -1,
      47,    48,    -1,    -1,    39,    25,     3,    25,    40,    -1,
      39,    25,    40,    -1,    -1,    11,    80,    -1,    -1,    91,
      -1,    91,    15,    80,    -1,    12,    14,    98,    -1,    -1,
      13,    91,    -1,    -1,    49,    14,    84,    -1,    -1,    91,
      85,    -1,    91,    85,     3,    84,    -1,    50,    -1,    51,
      -1,    -1,    24,    -1,    24,     3,    86,    -1,    24,    -1,
      24,    24,    -1,    24,     3,    87,    -1,    24,    24,     3,
      87,    -1,    24,    32,    91,    -1,    24,    32,    91,     3,
      88,    -1,    29,    -1,    29,     3,    89,    -1,    91,    -1,
      91,    20,    24,    -1,    91,     3,    89,    -1,    91,    20,
      24,     3,    89,    -1,    91,    -1,    91,    20,    24,    -1,
      91,     3,    90,    -1,    91,    20,    24,     3,    90,    -1,
      92,    -1,    93,    -1,    94,    -1,    25,    -1,    26,    -1,
      23,    -1,    24,    -1,    24,    41,    24,    -1,    52,    -1,
      22,    -1,    39,    91,    40,    -1,    91,    27,    91,    -1,
      91,    28,    91,    -1,    91,    29,    91,    -1,    91,    30,
      91,    -1,    91,    31,    91,    -1,    91,    38,    91,    -1,
      91,    53,    91,    -1,    91,    32,    91,    -1,    91,    33,
      91,    -1,    91,    34,    91,    -1,    91,    35,    91,    -1,
      91,    36,    91,    -1,    91,    37,    91,    -1,    91,    15,
      91,    -1,    91,    16,    91,    -1,    59,    39,    96,    40,
      -1,    60,    39,    96,    40,    -1,    61,    39,    96,    40,
      -1,    63,    39,    96,    40,    -1,    64,    39,    96,    40,
      -1,    66,    39,    96,    40,    -1,    65,    39,    97,    40,
      -1,    62,    39,    29,    40,    -1,    54,    95,    -1,    55,
      91,    56,    91,    95,    -1,    55,    91,    56,    91,    57,
      91,    58,    -1,    91,    -1,    91,     3,    96,    -1,    91,
      -1,    91,     3,    98,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,   194,   194,   195,   196,   197,   198,   199,   201,   208,
     215,   222,   229,   236,   243,   250,   256,   262,   267,   272,
     280,   288,   296,   304,   312,   320,   325,   330,   334,   341,
     348,   355,   360,   364,   369,   374,   379,   383,   388,   392,
     397,   401,   406,   411,   416,   421,   425,   430,   435,   440,
     445,   450,   455,   460,   465,   470,   475,   480,   485,   490,
     495,   500,   505,   510,   515,   517,   519,   521,   526,   531,
     536,   541,   546,   551,   556,   562,   567,   572,   577,   582,
     587,   592,   597,   602,   607,   612,   617,   622,   627,   632,
     637,   642,   647,   652,   657,   662,   667,   672,   677,   682,
     687,   692,   697,   702,   707
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "T_COMMA", "T_SELECT", "T_INSERT",
  "T_UPDATE", "T_DELETE", "T_CREATE", "T_DROP", "T_FROM", "T_WHERE",
  "T_GROUP", "T_HAVING", "T_BY", "T_AND", "T_OR", "T_INTO", "T_VALUES",
  "T_SET", "T_AS", "T_TABLE", "T_PLACE", "T_STRING", "T_NAME", "T_NUMBER",
  "T_REAL", "T_PLUS", "T_MINUS", "T_MULTIPLY", "T_DIVIDE", "T_REM",
  "T_EQUALS", "T_NOTEQUAL", "T_LT", "T_LE", "T_GT", "T_GE", "T_CONCAT",
  "T_BRA", "T_KET", "T_PERIOD", "T_INTEGER", "T_FLOAT", "T_CHAR", "T_BLOB",
  "T_DATE", "T_UNIQUE", "T_INDEX", "T_ORDER", "T_ASCENDING",
  "T_DESCENDING", "T_NULL", "T_LIKE", "T_CASE", "T_WHEN", "T_THEN",
  "T_ELSE", "T_END", "T_MIN", "T_MAX", "T_SUM", "T_COUNT", "T_UPPER",
  "T_LOWER", "T_NULLIF", "T_TOCHAR", "$accept", "query", "select",
  "insert", "delete", "update", "create", "drop", "columns", "coltype",
  "indexed", "colsize", "wherepart", "wherelist", "grouppart",
  "havingpart", "orderpart", "orderlist", "ascdesc", "fieldlist",
  "tablelist", "assignlist", "selectlist", "exprlist", "expr",
  "binaryexpr", "funcexpr", "caseexpr", "whenexpr", "arglist1", "arglist2",
  "arglistN", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short int yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    67,    68,    68,    68,    68,    68,    68,    69,    70,
      70,    70,    70,    71,    72,    73,    74,    75,    75,    76,
      76,    76,    76,    76,    76,    77,    77,    77,    78,    78,
      78,    79,    79,    80,    80,    81,    81,    82,    82,    83,
      83,    84,    84,    85,    85,    85,    86,    86,    87,    87,
      87,    87,    88,    88,    89,    89,    89,    89,    89,    89,
      90,    90,    90,    90,    91,    91,    91,    91,    91,    91,
      91,    91,    91,    91,    91,    92,    92,    92,    92,    92,
      92,    92,    92,    92,    92,    92,    92,    92,    92,    92,
      93,    93,    93,    93,    93,    93,    93,    93,    94,    95,
      95,    96,    97,    98,    98
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     8,    10,
       7,     7,     4,     4,     5,     6,     3,     2,     4,     3,
       3,     3,     2,     3,     2,     1,     2,     0,     5,     3,
       0,     2,     0,     1,     3,     3,     0,     2,     0,     3,
       0,     2,     4,     1,     1,     0,     1,     3,     1,     2,
       3,     4,     3,     5,     1,     3,     1,     3,     3,     5,
       1,     3,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       4,     4,     4,     4,     4,     4,     4,     4,     2,     5,
       7,     1,     3,     1,     3
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       0,     0,     0,     0,     0,     0,     0,     0,     2,     3,
       5,     4,     6,     7,    73,    69,    70,    67,    68,    54,
       0,    72,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    56,    64,    65,    66,     0,     0,     0,     0,
       0,     1,     0,     0,     0,     0,    98,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    32,     0,    16,    71,    55,
      74,     0,   101,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,    32,    58,    88,    89,    57,    75,    76,
      77,    78,    79,    82,    83,    84,    85,    86,    87,    80,
      81,     0,     0,    12,     0,    32,     0,    13,     0,     0,
      90,    91,    92,    97,    93,    94,     0,    96,    95,     0,
      49,    36,     0,     0,    46,     0,     0,    14,    31,    33,
       0,     0,     0,   102,    50,     0,     0,    38,    59,     0,
      60,     0,     0,    52,     0,    30,    30,    30,    30,    30,
      17,    15,     0,    99,    51,     0,     0,    40,    10,     0,
       0,    47,     0,    11,     0,    34,    33,     0,    27,    27,
      27,    22,    24,     0,     0,   103,    35,    37,     0,     8,
      62,    61,     0,    53,     0,     0,    25,    19,    20,    21,
      23,    18,   100,     0,     0,     0,     0,     0,    29,    26,
     104,    39,    45,    63,     9,     0,    43,    44,    41,    28,
       0,    42
};

/* YYDEFGOTO[NTERM-NUM]. */
static const short int yydefgoto[] =
{
      -1,     7,     8,     9,    10,    11,    12,    13,   141,   160,
     197,   178,   117,   138,   147,   167,   189,   211,   218,   135,
      93,   115,    31,   149,    82,    33,    34,    35,    46,    83,
      90,   186
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -152
static const short int yypact[] =
{
     179,   231,     4,    -2,    16,    19,    52,    74,  -152,  -152,
    -152,  -152,  -152,  -152,  -152,  -152,    42,  -152,  -152,   105,
     249,  -152,    54,    75,    77,    78,    80,    81,    82,    94,
      95,   113,     0,  -152,  -152,  -152,   124,   130,   126,   127,
     128,  -152,   131,   231,   377,   249,  -152,   249,   249,   249,
     125,   249,   249,   249,   249,   132,   231,   249,   249,   135,
     249,   249,   249,   249,   249,   249,   249,   249,   249,   249,
     249,   249,   249,     7,   136,   152,   143,  -152,  -152,  -152,
    -152,   320,   404,   149,   150,   156,   157,   158,   159,   109,
     161,   180,    21,   152,  -152,   497,   485,   163,    57,    57,
    -152,  -152,  -152,    20,    20,    20,    20,    20,    20,    49,
      20,   153,   194,  -152,   189,   152,   249,  -152,   198,   249,
    -152,  -152,  -152,  -152,  -152,  -152,   249,  -152,  -152,   132,
     164,   211,   231,   249,   221,   185,   249,  -152,  -152,   431,
      84,   186,   289,  -152,  -152,   132,   213,   215,  -152,   192,
      69,   194,     5,   178,   249,   195,   195,   195,   195,   195,
     230,  -152,   249,  -152,  -152,   249,   249,   187,  -152,   249,
     216,  -152,   196,  -152,   136,  -152,   458,   212,   -35,   -35,
     -35,  -152,   -35,   198,   142,   214,  -152,   404,   224,  -152,
    -152,   236,   249,  -152,     3,   210,  -152,  -152,  -152,  -152,
    -152,  -152,  -152,   249,   249,   249,   219,   237,  -152,  -152,
    -152,  -152,   350,  -152,  -152,   223,  -152,  -152,   258,  -152,
     249,  -152
};

/* YYPGOTO[NTERM-NUM].  */
static const short int yypgoto[] =
{
    -152,  -152,   -71,  -152,  -152,  -152,  -152,  -152,    83,  -152,
     -69,   -64,   -76,   110,  -152,  -152,  -152,    45,  -152,   117,
     -54,   102,   -42,  -151,    -1,  -152,  -152,  -152,   137,   -44,
    -152,    66
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -89
static const short int yytable[] =
{
      32,    79,   113,    56,    84,    85,   207,    87,    88,     1,
      91,     1,   195,   196,    94,    57,    58,   131,   190,    44,
      59,    36,    37,   172,   129,   111,    38,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,   137,
      39,   206,    32,   208,    81,   130,   112,    60,    61,    62,
      63,    64,    89,    72,   213,    32,    95,    96,    71,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   169,    40,    41,   144,    60,    61,    62,    63,
      64,   173,   143,    42,    57,    58,    62,    63,    64,   170,
     148,   164,   179,   180,   181,   182,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    43,    45,
     198,   199,   126,   200,    47,   139,    48,    49,   142,    50,
      51,    52,    72,    55,    57,    58,   155,   156,   157,   158,
     159,    32,   150,    53,    54,   153,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    73,    74,
      75,    76,    77,   176,    86,    78,    92,    57,    58,    97,
     114,   184,    72,   116,   185,   187,   132,   145,   150,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,   174,   118,     1,     2,     3,     4,     5,     6,   120,
     121,   150,   133,    57,    58,    72,   122,   123,   124,   125,
     202,   127,   185,   212,   150,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,   203,   134,   212,
     128,   136,   140,   146,   151,   152,   161,   165,   166,    57,
      58,    72,   168,   183,   177,   192,   188,   194,   204,   205,
     191,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    14,    15,    16,    17,    18,   209,   214,
      19,   220,   215,   219,   175,   221,   201,    72,   171,   210,
      20,    14,    15,    16,    17,    18,   193,     0,     0,   163,
       0,     0,     0,    21,     0,    22,     0,     0,    20,     0,
      23,    24,    25,    26,    27,    28,    29,    30,     0,     0,
       0,    21,     0,    22,    57,    58,     0,     0,    23,    24,
      25,    26,    27,    28,    29,    30,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,     0,     0,
       0,     0,     0,     0,     0,    57,    58,     0,     0,     0,
       0,     0,    72,     0,    45,     0,   162,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,     0,
       0,     0,     0,     0,     0,    57,    58,     0,     0,     0,
       0,     0,     0,    72,     0,     0,   119,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,     0,
       0,     0,    57,    58,     0,     0,     0,     0,     0,     0,
     216,   217,     0,    72,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,     0,    80,     0,    57,
      58,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      72,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,     0,     0,     0,   154,    58,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    72,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
       0,     0,     0,   -88,   -88,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    72,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    72,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,     0,     0,    72,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      72
};

static const short int yycheck[] =
{
       1,    43,    73,     3,    48,    49,     3,    51,    52,     4,
      54,     4,    47,    48,    56,    15,    16,    93,   169,    20,
      20,    17,    24,    18,     3,    18,    10,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,   115,
      21,   192,    43,    40,    45,    24,    39,    27,    28,    29,
      30,    31,    53,    53,   205,    56,    57,    58,    38,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    72,     3,    21,     0,   129,    27,    28,    29,    30,
      31,   152,   126,    41,    15,    16,    29,    30,    31,    20,
     132,   145,   156,   157,   158,   159,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,     3,    55,
     179,   180,     3,   182,    39,   116,    39,    39,   119,    39,
      39,    39,    53,    10,    15,    16,    42,    43,    44,    45,
      46,   132,   133,    39,    39,   136,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    24,    19,
      24,    24,    24,   154,    29,    24,    24,    15,    16,    24,
      24,   162,    53,    11,   165,   166,     3,     3,   169,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,     3,    39,     4,     5,     6,     7,     8,     9,    40,
      40,   192,    39,    15,    16,    53,    40,    40,    40,    40,
      58,    40,   203,   204,   205,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,     3,    24,   220,
      40,    32,    24,    12,     3,    40,    40,    14,    13,    15,
      16,    53,    40,     3,    39,    39,    49,    25,    14,     3,
      24,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    22,    23,    24,    25,    26,    48,    40,
      29,     3,    25,    40,   154,   220,   183,    53,   151,   203,
      39,    22,    23,    24,    25,    26,   174,    -1,    -1,   142,
      -1,    -1,    -1,    52,    -1,    54,    -1,    -1,    39,    -1,
      59,    60,    61,    62,    63,    64,    65,    66,    -1,    -1,
      -1,    52,    -1,    54,    15,    16,    -1,    -1,    59,    60,
      61,    62,    63,    64,    65,    66,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    37,    38,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    53,    -1,    55,    -1,    57,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      -1,    -1,    -1,    -1,    -1,    15,    16,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    -1,    -1,    56,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    -1,
      -1,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    53,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    40,    -1,    15,
      16,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,    37,    38,    -1,    -1,    -1,    15,    16,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      -1,    -1,    -1,    15,    16,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    53,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    -1,    -1,    -1,
      15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -1,    -1,    53,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,     4,     5,     6,     7,     8,     9,    68,    69,    70,
      71,    72,    73,    74,    22,    23,    24,    25,    26,    29,
      39,    52,    54,    59,    60,    61,    62,    63,    64,    65,
      66,    89,    91,    92,    93,    94,    17,    24,    10,    21,
      21,     0,    41,     3,    91,    55,    95,    39,    39,    39,
      39,    39,    39,    39,    39,    10,     3,    15,    16,    20,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    53,    24,    19,    24,    24,    24,    24,    89,
      40,    91,    91,    96,    96,    96,    29,    96,    96,    91,
      97,    96,    24,    87,    89,    91,    91,    24,    91,    91,
      91,    91,    91,    91,    91,    91,    91,    91,    91,    91,
      91,    18,    39,    69,    24,    88,    11,    79,    39,    56,
      40,    40,    40,    40,    40,    40,     3,    40,    40,     3,
      24,    79,     3,    39,    24,    86,    32,    79,    80,    91,
      24,    75,    91,    96,    87,     3,    12,    81,    89,    90,
      91,     3,    40,    91,    15,    42,    43,    44,    45,    46,
      76,    40,    57,    95,    87,    14,    13,    82,    40,     3,
      20,    86,    18,    69,     3,    80,    91,    39,    78,    78,
      78,    78,    78,     3,    91,    91,    98,    91,    49,    83,
      90,    24,    39,    88,    25,    47,    48,    77,    77,    77,
      77,    75,    58,     3,    14,     3,    90,     3,    40,    48,
      98,    84,    91,    90,    40,    25,    50,    51,    85,    40,
       3,    84
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (N)								\
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (0)
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
              (Loc).first_line, (Loc).first_column,	\
              (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Type, Value);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short int *bottom, short int *top)
#else
static void
yy_stack_print (bottom, top)
    short int *bottom;
    short int *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);


# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep)
#else
static void
yydestruct (yymsg, yytype, yyvaluep)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The look-ahead symbol.  */
int yychar;

/* The semantic value of the look-ahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Look-ahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short int yyssa[YYINITDEPTH];
  short int *yyss = yyssa;
  register short int *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;



#define YYPOPSTACK   (yyvsp--, yyssp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;


  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;


  yyvsp[0] = yylval;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short int *yyss1 = yyss;


	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),

		    &yystacksize);

	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short int *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);

#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;


      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a look-ahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to look-ahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a look-ahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid look-ahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the look-ahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;


  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 194 "support/xbsql/xbsql.y"
    { (yyval.query) = (yyvsp[0].sqlsel) ;}
    break;

  case 3:
#line 195 "support/xbsql/xbsql.y"
    { (yyval.query) = (yyvsp[0].sqlins) ;}
    break;

  case 4:
#line 196 "support/xbsql/xbsql.y"
    { (yyval.query) = (yyvsp[0].sqlupd) ;}
    break;

  case 5:
#line 197 "support/xbsql/xbsql.y"
    { (yyval.query) = (yyvsp[0].sqldel) ;}
    break;

  case 6:
#line 198 "support/xbsql/xbsql.y"
    { (yyval.query) = (yyvsp[0].query) ;}
    break;

  case 8:
#line 202 "support/xbsql/xbsql.y"
    {
			XBSQLSelect *s = new XBSQLSelect (xbXBaseSQL, (yyvsp[-6].elist), (yyvsp[-4].table), (yyvsp[-3].elist), (yyvsp[-2].elist), (yyvsp[-1].elist), (yyvsp[0].elist)) ;
			xbQuery = s ;
			(yyval.sqlsel)	= s ;
		;}
    break;

  case 9:
#line 209 "support/xbsql/xbsql.y"
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-7]._str), (yyvsp[-5].flist), (yyvsp[-1].elist)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		;}
    break;

  case 10:
#line 216 "support/xbsql/xbsql.y"
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-4]._str), 0,  (yyvsp[-1].elist)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		;}
    break;

  case 11:
#line 223 "support/xbsql/xbsql.y"
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-4]._str), (yyvsp[-2].flist), (yyvsp[0].sqlsel)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		;}
    break;

  case 12:
#line 230 "support/xbsql/xbsql.y"
    {
			XBSQLInsert *i = new XBSQLInsert (xbXBaseSQL, (yyvsp[-1]._str), 0,  (yyvsp[0].sqlsel)) ;
			xbQuery = i ;
			(yyval.sqlins)	= i ;
		;}
    break;

  case 13:
#line 237 "support/xbsql/xbsql.y"
    {
			XBSQLDelete *d = new XBSQLDelete (xbXBaseSQL, (yyvsp[-1]._str), (yyvsp[0].elist)) ;
			xbQuery = d ;
			(yyval.sqldel)	= d ;
		;}
    break;

  case 14:
#line 244 "support/xbsql/xbsql.y"
    {
			XBSQLUpdate *u = new XBSQLUpdate (xbXBaseSQL, (yyvsp[-3]._str), (yyvsp[-1].alist), (yyvsp[0].elist)) ;
			xbQuery = u ;
			(yyval.sqlupd)	= u ;
		;}
    break;

  case 15:
#line 251 "support/xbsql/xbsql.y"
    {
			xbQuery	= new XBSQLCreate (xbXBaseSQL, (yyvsp[-3]._str), (yyvsp[-1].columns)) ;
			(yyval.query)	= 0 ;
		;}
    break;

  case 16:
#line 257 "support/xbsql/xbsql.y"
    {
			xbQuery	= new XBSQLDrop   (xbXBaseSQL, (yyvsp[0]._str)) ;
			(yyval.query)	= 0 ;
		;}
    break;

  case 17:
#line 263 "support/xbsql/xbsql.y"
    {
			(yyval.columns)	= new XBSQLColumnList ((yyvsp[-1]._str), (yyvsp[0].coltype).t, (yyvsp[0].coltype).w, (yyvsp[0].coltype).p, (yyvsp[0].coltype).i,  0) ;
		;}
    break;

  case 18:
#line 268 "support/xbsql/xbsql.y"
    {
			(yyval.columns)	= new XBSQLColumnList ((yyvsp[-3]._str), (yyvsp[-2].coltype).t, (yyvsp[-2].coltype).w, (yyvsp[-2].coltype).p, (yyvsp[-2].coltype).i, (yyvsp[0].columns)) ;
		;}
    break;

  case 19:
#line 273 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 'N' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		;}
    break;

  case 20:
#line 281 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 'F' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		;}
    break;

  case 21:
#line 289 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 'C' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		;}
    break;

  case 22:
#line 297 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 'M' 	;
			(yyval.coltype).w	= 10	;
			(yyval.coltype).p	= 0	;
			(yyval.coltype).i	= XBSQL::IndexNone ;
		;}
    break;

  case 23:
#line 305 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 'D' 	;
			(yyval.coltype).w	= (yyvsp[-1].coltype).w	;
			(yyval.coltype).p	= (yyvsp[-1].coltype).p	;
			(yyval.coltype).i	= (yyvsp[0]._idx)	;
		;}
    break;

  case 24:
#line 313 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 'D' 	;
			(yyval.coltype).w	= (yyvsp[0].coltype).w	== 0 ? 8 : (yyvsp[0].coltype).w ;
			(yyval.coltype).p	= (yyvsp[0].coltype).p	;
			(yyval.coltype).i	= XBSQL::IndexNone	;
		;}
    break;

  case 25:
#line 321 "support/xbsql/xbsql.y"
    {
			(yyval._idx)	= XBSQL::IndexNotUnique	;
		;}
    break;

  case 26:
#line 326 "support/xbsql/xbsql.y"
    {
			(yyval._idx)	= XBSQL::IndexUnique	;
		;}
    break;

  case 27:
#line 330 "support/xbsql/xbsql.y"
    {
			(yyval._idx)	= XBSQL::IndexNone	;
		;}
    break;

  case 28:
#line 335 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 0	;
			(yyval.coltype).w	= (yyvsp[-3]._num)	;
			(yyval.coltype).p	= (yyvsp[-1]._num)	;
		;}
    break;

  case 29:
#line 342 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 0	;
			(yyval.coltype).w	= (yyvsp[-1]._num)	;
			(yyval.coltype).p	= 0	;
		;}
    break;

  case 30:
#line 348 "support/xbsql/xbsql.y"
    {
			(yyval.coltype).t	= 0	;
			(yyval.coltype).w	= 0	;
			(yyval.coltype).p	= 0	;
		;}
    break;

  case 31:
#line 356 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = (yyvsp[0].elist) ;
		;}
    break;

  case 32:
#line 360 "support/xbsql/xbsql.y"
    {
			(yyval.elist) =  0 ;
		;}
    break;

  case 33:
#line 365 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0, 0) ;
		;}
    break;

  case 34:
#line 370 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		;}
    break;

  case 35:
#line 375 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = (yyvsp[0].elist) ;
		;}
    break;

  case 36:
#line 379 "support/xbsql/xbsql.y"
    {
			(yyval.elist) =  0 ;
		;}
    break;

  case 37:
#line 384 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0,  0) ;
		;}
    break;

  case 38:
#line 388 "support/xbsql/xbsql.y"
    {
			(yyval.elist) =  0 ;
		;}
    break;

  case 39:
#line 393 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = (yyvsp[0].elist) ;
		;}
    break;

  case 40:
#line 397 "support/xbsql/xbsql.y"
    {
			(yyval.elist) =  0 ;
		;}
    break;

  case 41:
#line 402 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-1].enode), (yyvsp[0]._num),  0) ;
		;}
    break;

  case 42:
#line 407 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-3].enode), (yyvsp[-2]._num), (yyvsp[0].elist)) ;
		;}
    break;

  case 43:
#line 412 "support/xbsql/xbsql.y"
    {
			(yyval._num) = 1 ;
		;}
    break;

  case 44:
#line 417 "support/xbsql/xbsql.y"
    {
			(yyval._num) = 0 ;
		;}
    break;

  case 45:
#line 421 "support/xbsql/xbsql.y"
    {
			(yyval._num) = 1 ;
		;}
    break;

  case 46:
#line 426 "support/xbsql/xbsql.y"
    {
			(yyval.flist) = new XBSQLFieldList ((yyvsp[0]._str),  0) ;
		;}
    break;

  case 47:
#line 431 "support/xbsql/xbsql.y"
    {
			(yyval.flist) = new XBSQLFieldList ((yyvsp[-2]._str), (yyvsp[0].flist)) ;
		;}
    break;

  case 48:
#line 436 "support/xbsql/xbsql.y"
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[0]._str), 0,  0) ;
		;}
    break;

  case 49:
#line 441 "support/xbsql/xbsql.y"
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[-1]._str), (yyvsp[0]._str), 0) ;
		;}
    break;

  case 50:
#line 446 "support/xbsql/xbsql.y"
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[-2]._str), 0, (yyvsp[0].table)) ;
		;}
    break;

  case 51:
#line 451 "support/xbsql/xbsql.y"
    {
			(yyval.table) = new XBSQLTableList ((yyvsp[-3]._str), (yyvsp[-2]._str), (yyvsp[0].table)) ;
		;}
    break;

  case 52:
#line 456 "support/xbsql/xbsql.y"
    {
			(yyval.alist) = new XBSQLAssignList ((yyvsp[-2]._str), (yyvsp[0].enode),  0) ;
		;}
    break;

  case 53:
#line 461 "support/xbsql/xbsql.y"
    {
			(yyval.alist) = new XBSQLAssignList ((yyvsp[-4]._str), (yyvsp[-2].enode), (yyvsp[0].alist)) ;
		;}
    break;

  case 54:
#line 466 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ( 0,  (const char *)0, 0) ;
		;}
    break;

  case 55:
#line 471 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ( 0,  (const char *)0, (yyvsp[0].elist)) ;
		;}
    break;

  case 56:
#line 476 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0, 0) ;
		;}
    break;

  case 57:
#line 481 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (yyvsp[0]._str), 0) ;
		;}
    break;

  case 58:
#line 486 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		;}
    break;

  case 59:
#line 491 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-4].enode),  (yyvsp[-2]._str), (yyvsp[0].elist)) ;
		;}
    break;

  case 60:
#line 496 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0, 0) ;
		;}
    break;

  case 61:
#line 501 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (yyvsp[0]._str), 0) ;
		;}
    break;

  case 62:
#line 506 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		;}
    break;

  case 63:
#line 511 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-4].enode),  (yyvsp[-2]._str), (yyvsp[0].elist)) ;
		;}
    break;

  case 67:
#line 522 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._num), XBSQL::ENumber) ;
		;}
    break;

  case 68:
#line 527 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._dbl), XBSQL::EDouble) ;
		;}
    break;

  case 69:
#line 532 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._str), true ) ;
		;}
    break;

  case 70:
#line 537 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._str), false) ;
		;}
    break;

  case 71:
#line 542 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[0]._str), (yyvsp[-2]._str), false) ;
		;}
    break;

  case 72:
#line 547 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ("", true ) ;
		;}
    break;

  case 73:
#line 552 "support/xbsql/xbsql.y"
    {	(yyval.enode) = new XBSQLExprNode (placeNo, XBSQL::EPlace) ;
			placeNo += 1 ;
		;}
    break;

  case 74:
#line 557 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = (yyvsp[-1].enode) ;
		;}
    break;

  case 75:
#line 563 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EPlus) ;
		;}
    break;

  case 76:
#line 568 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EMinus) ;
		;}
    break;

  case 77:
#line 573 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EMultiply) ;
		;}
    break;

  case 78:
#line 578 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EDivide) ;
		;}
    break;

  case 79:
#line 583 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ERem) ;
		;}
    break;

  case 80:
#line 588 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EConcat) ;
		;}
    break;

  case 81:
#line 593 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ELike  ) ;
		;}
    break;

  case 82:
#line 598 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EEquals) ;
		;}
    break;

  case 83:
#line 603 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ENotEqual) ;
		;}
    break;

  case 84:
#line 608 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ELT	) ;
		;}
    break;

  case 85:
#line 613 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::ELTEqual	) ;
		;}
    break;

  case 86:
#line 618 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EGT	) ;
		;}
    break;

  case 87:
#line 623 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EGTEqual	) ;
		;}
    break;

  case 88:
#line 628 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EAnd	) ;
		;}
    break;

  case 89:
#line 633 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-2].enode), (yyvsp[0].enode), XBSQL::EOr	) ;
		;}
    break;

  case 90:
#line 638 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNMin	) ;
		;}
    break;

  case 91:
#line 643 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNMax	) ;
		;}
    break;

  case 92:
#line 648 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNSum	) ;
		;}
    break;

  case 93:
#line 653 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNUpper	) ;
		;}
    break;

  case 94:
#line 658 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNLower	) ;
		;}
    break;

  case 95:
#line 663 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNToChar	) ;
		;}
    break;

  case 96:
#line 668 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-1].elist), XBSQL::EFNNullIF	) ;
		;}
    break;

  case 97:
#line 673 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode (0,  XBSQL::EFNCount	) ;
		;}
    break;

  case 98:
#line 678 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = (yyvsp[0].enode) ;
		;}
    break;

  case 99:
#line 683 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-3].enode), (yyvsp[-1].enode), (yyvsp[0].enode), XBSQL::ECase) ;
		;}
    break;

  case 100:
#line 688 "support/xbsql/xbsql.y"
    {
			(yyval.enode) = new XBSQLExprNode ((yyvsp[-5].enode), (yyvsp[-3].enode), (yyvsp[-1].enode), XBSQL::ECase) ;
		;}
    break;

  case 101:
#line 693 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0,  0) ;
		;}
    break;

  case 102:
#line 698 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		;}
    break;

  case 103:
#line 703 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[0].enode),  (const char *)0,  0) ;
		;}
    break;

  case 104:
#line 708 "support/xbsql/xbsql.y"
    {
			(yyval.elist) = new XBSQLExprList ((yyvsp[-2].enode),  (const char *)0, (yyvsp[0].elist)) ;
		;}
    break;


    }

/* Line 1037 of yacc.c.  */
#line 2210 "build/qt3/support/xbsql/xbsql.tab.cpp"

  yyvsp -= yylen;
  yyssp -= yylen;


  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;


  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  const char* yyprefix;
	  char *yymsg;
	  int yyx;

	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  int yyxbegin = yyn < 0 ? -yyn : 0;

	  /* Stay within bounds of both yycheck and yytname.  */
	  int yychecklim = YYLAST - yyn;
	  int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
	  int yycount = 0;

	  yyprefix = ", expecting ";
	  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      {
		yysize += yystrlen (yyprefix) + yystrlen (yytname [yyx]);
		yycount += 1;
		if (yycount == 5)
		  {
		    yysize = 0;
		    break;
		  }
	      }
	  yysize += (sizeof ("syntax error, unexpected ")
		     + yystrlen (yytname[yytype]));
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yyprefix = ", expecting ";
		  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			yyp = yystpcpy (yyp, yyprefix);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yyprefix = " or ";
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }



  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse look-ahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* If at end of input, pop the error token,
	     then the rest of the stack, then return failure.  */
	  if (yychar == YYEOF)
	     for (;;)
	       {

		 YYPOPSTACK;
		 if (yyssp == yyss)
		   YYABORT;
		 yydestruct ("Error: popping",
                             yystos[*yyssp], yyvsp);
	       }
        }
      else
	{
	  yydestruct ("Error: discarding", yytoken, &yylval);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse look-ahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

#ifdef __GNUC__
  /* Pacify GCC when the user code never invokes YYERROR and the label
     yyerrorlab therefore never appears in user code.  */
  if (0)
     goto yyerrorlab;
#endif

yyvsp -= yylen;
  yyssp -= yylen;
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;


      yydestruct ("Error: popping", yystos[yystate], yyvsp);
      YYPOPSTACK;
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  *++yyvsp = yylval;


  /* Shift the error token. */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yydestruct ("Error: discarding lookahead",
              yytoken, &yylval);
  yychar = YYEMPTY;
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 711 "support/xbsql/xbsql.y"


#include	"lex.xbsql_yy.c"


