/***************************************************************************
    file	         : kb_qtsummary.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_QTSUMMARY_H
#define		__KB_QTSUMMARY_H


#include	"libkbase_exports.h"

#include	"kb_classes.h"
#include	"kb_ctrl.h"
#include	"rk_lineedit.h"


/*  KBCtrlSummary							*/
/*  -------------							*/
/*  Wrapper class for data control					*/

class	LIBKBASE_API	KBCtrlSummary : public KBControl
{
	KBSummary	*m_summary	;
	RKLineEdit	*m_lineEdit	;

public	:

	KBCtrlSummary (KBDisplay *, KBSummary *, uint) ;
virtual~KBCtrlSummary () ;

	virtual	void	showName	() ;
	virtual	void	showAs		(KB::ShowAs) ;
	virtual	bool	write		(KBWriter *, QRect, const KBValue &, bool, int &) ;
}	;


#endif	// __KB_QTSUMMARY_H
