/***************************************************************************
    file	         : kb_test.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef		__KB_TEST_H
#define		__KB_TEST_H

#include	"kb_event.h"
#include	"libkbase_exports.h"


/*  KBTest								*/
/*  ------								*/
/*  Specialised event for testing ...					*/

class	LIBKBASE_API	KBTest : public KBEvent
{
public	:

	KBTest	(KBNode *, cchar  *) ;
	KBTest	(KBNode *, KBTest *) ;
       ~KBTest	() ;

	void			setName		(const QString &) ;
	void			setOwner	(KBNode *) ;
	virtual	void		printAttr 	(QString &, QString &, int, bool) ;
}	;


#endif		// __KB_TEST_H
