/***************************************************************************
    file	         : browser.h
    copyright            : (C)	1999,2000,2001,2002,2003,2004,2005
				 by Mike Richardson
			   (C)	2001,2002,2003,2004,2005
				by John Dean
    license              : This file is released under the terms of
                           the GNU General Public License, version 2. The
                           copyright holders retain the right to release
                           this code under diffenent non-exclusive licences.
    email                : mike@quaking.demon.co.uk                                     
 ***************************************************************************/

#ifndef 	__SOHELPBROWSER_H
#define 	__SOHELPBROWSER_H

#include <qtextbrowser.h>

class	SOHelpViewer;

class	SOHelpBrowser : public QTextBrowser
{
	Q_OBJECT

	SOHelpViewer	*m_viewer	;
	bool		m_noScroll	;

	QString		findWebBrowser		() ;

protected slots:

	void		ensureCursorVisible	() ;

public	:

	SOHelpBrowser	(QWidget *, SOHelpViewer *, const char * = 0) ;

	void setSource		(const QString &, const QString &) ;
	void blockScrolling	(bool) ;
}	;

#endif		// __SOHELPBROWSER_H
